SplFixedArray::offsetGet
SplFixedArray::offsetUnset
SplFixedArray
PHP Manual

# SplFixedArray::offsetSet

Sets a new value at a specified index

### Description

public void SplFixedArray::offsetSet ( int `$index` , mixed `$newval` )

Sets the value at the specified `index` to `newval`.

### Parameters

`index`

  The index being set.

`newval`

  The new value for the `index`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.